Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class CurrentHealthAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.monitor.visibility.CurrentHealthAction

Direct Known Subclasses:
  AutoGroupCurrentHealthAction

    public class CurrentHealthAction

extends org.apache.struts.tiles.actions.TilesAction

An `TilesAction` that retrieves metric data to facilitate display of a current health page. Concrete subclasses provide methods to retrieve resource-type-specific data.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`CurrentHealthAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected java.lang.String` | `getDefaultViewName(javax.servlet.http.HttpServletRequest request)`
`protected java.lang.String` | `getFormattedAvailability(java.util.List values)`
`protected void` | `setupViews(javax.servlet.http.HttpServletRequest request, IndicatorViewsForm ivf, java.lang.String key)`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### CurrentHealthAction

    public CurrentHealthAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.tiles.ComponentContext context,
                                                          org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Overrides:
    `execute` in class `org.apache.struts.tiles.actions.TilesAction`
  Throws:
    `java.lang.Exception`

### getFormattedAvailability

    protected java.lang.String getFormattedAvailability(java.util.List values)

### getDefaultViewName

    protected java.lang.String getDefaultViewName(javax.servlet.http.HttpServletRequest request)

### setupViews

    protected void setupViews(javax.servlet.http.HttpServletRequest request,
                              IndicatorViewsForm ivf,
                              java.lang.String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.